<template>
    <div class="">
        <h4>Carrito de compras</h4>
        <table class="table">
            <thead>
                <tr>
                    
                    <th scope="col">Nombre</th>
                    <th scope="col">Cant</th>
                    <th scope="col">Acción</th>
                    <th scope="col">Total</th>
                </tr>
            </thead>
            <tbody id="items">
                <Items v-for="item in carrito" :key="item.id" :item="item" />
            </tbody>
            <tfoot>
                <tr id="footer-carrito">
                    <th scope="row" colspan="5" v-if="Object.keys(carrito).length === 0">Se te hace agua la boca.. -
                        Pedi Ya!</th>
                    <Footer v-else />
                </tr>
            </tfoot>
        </table>
    </div>
</template>

<script>
import { computed } from 'vue'
import { useStore } from 'vuex'
import Items from './Items'
import Footer from './FooterTable.vue'
export default {
    components: { Items, Footer },
    setup() {
        const store = useStore()
        const carrito = computed(() => store.state.carrito)

        return { carrito }
    }
}
</script>
<style>

</style>
